//
// XMM Science Analysis System
//
// Giuseppe Vacanti (European Space Agency) 
// August 1999
//
#ifndef Ccd_Temperature_Selector_h
#define Ccd_Temperature_Selector_h

#include <qspinbox.h>

class CcdTemperatureSelector : public QSpinBox {

  Q_OBJECT

    public:
  
  CcdTemperatureSelector(QWidget * parent=0, const char * name=0);
  ~CcdTemperatureSelector() {};
  
  private slots:
    
    void myvaluechanged(int v);
  
 signals:
  void calStateIsUpdated();
  
  public slots:
    void update();
  
 private:
  void init();

};


#endif
