//
// XMM Science Analysis System
//
// Giuseppe Vacanti (European Space Agency) 
// March 9, 1999
//
#ifndef filter_bgroup_h
#define filter_bgroup_h

#include <qcombobox.h> 

class FilterBgroup : public QComboBox
{
  Q_OBJECT

 public:
  FilterBgroup(QWidget * parent=0, const char * name=0);
  ~FilterBgroup() {};
  
 signals:
  void calStateIsUpdated();
  
  public slots:
    void update();
  
  private slots:
    void myactivated(const QString &);
  
 private:
  void init();
  
};

#endif
