//
// XMM Science Analysis System
//
// Giuseppe Vacanti (European Space Agency) 
// February 23, 1999
//
#ifndef instrument_bgroup_h
#define instrument_bgroup_h

#include <qcombobox.h> 

class InstrumentBgroup : public QComboBox
{
  Q_OBJECT

 public:
  InstrumentBgroup(QWidget * parent=0, const char * name=0);
  ~InstrumentBgroup() {};

 signals:
  void calStateIsUpdated();
  
  private slots:
    void myactivated(const QString &);

 private:
  void init();

};

#endif
